Subject: Re: bug#44597: 26.3; bibtex should allow reverse sorting

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Nov 2020 22:31:16 +0100

Francesco Potortì <[email-masked]> writes:

> Ideally, bibtex.el should provide a hook where one can install any
> function for sorting.  The hook should get some arguments (the type of
> entry, the name of entry, the date, a bibtex custom field and maybe
> others).  That would make bibtex.el more generally flexible.

Yes, I think introducing a variable to control the sorting would be a
good idea.  It'd default to `bibtex-lessp' (or rather, something that
does the same), but (as you say) have an input that makes implementing
other sorting functions easier.

Patches welcome.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no